org.apache.commons.math3.ode

## Interface SecondOrderIntegrator

- All Superinterfaces:
    ODEIntegrator

      public interface SecondOrderIntegrator
      extends ODEIntegrator

  This interface represents a second order integrator for differential equations.

  The classes which are devoted to solve second order differential equations should implement this interface. The problems which can be handled should implement the `SecondOrderDifferentialEquations` interface.

  Since:
    1.2
  Version:
    $Id: SecondOrderIntegrator.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    `SecondOrderDifferentialEquations`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `integrate(SecondOrderDifferentialEquations equations, double t0, double[] y0, double[] yDot0, double t, double[] y, double[] yDot)` Integrate the differential equations up to the given time

    - ### Methods inherited from interface org.apache.commons.math3.ode.ODEIntegrator

      `addEventHandler, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEventHandlers, getMaxEvaluations, getName, getStepHandlers, setMaxEvaluations`

- - ### Method Detail

    - #### integrate

          void integrate(SecondOrderDifferentialEquations equations,
                       double t0,
                       double[] y0,
                       double[] yDot0,
                       double t,
                       double[] y,
                       double[] yDot)
                         throws MathIllegalStateException,
                                MathIllegalArgumentException

      Integrate the differential equations up to the given time
      Parameters:
        `equations` - differential equations to integrate
        `t0` - initial time
        `y0` - initial value of the state vector at t0
        `yDot0` - initial value of the first derivative of the state vector at t0
        `t` - target time for the integration (can be set to a value smaller thant `t0` for backward integration)
        `y` - placeholder where to put the state vector at each successful step (and hence at the end of integration), can be the same object as y0
        `yDot` - placeholder where to put the first derivative of the state vector at time t, can be the same object as yDot0
      Throws:
        `MathIllegalStateException` - if the integrator cannot perform integration
        `MathIllegalArgumentException` - if integration parameters are wrong (typically too small integration span)

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.